package com.freemud.sdk.api.assortment.shoppingcart.constant;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: CartResponseConstant
 * @Package com.freemud.sdk.api.assortment.shoppingcart.constant
 * @Description:
 * @author: jiaxin.liu
 * @date: 2019/4/11 11:07
 * @Copyright: 2019 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum CartResponseConstant {
    /**
     * 通用状态码
     */
    SUCCESS("100", "ok"),
    FAIL("101","fail"),

    /**
     * 购物车状态码
     */
    SHOPPING_CART_ATTRIBUTE_NOT_EXISTS("44009", "商品属性不存在");

    private String code;
    private String message;

    CartResponseConstant(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
